"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const sdk_1 = require("./src/generated/sdk");
const config_1 = require("@graphql-mesh/config");
const runtime_1 = require("@graphql-mesh/runtime");
const path = __importStar(require("path"));
const init = async (authToken, userName) => {
    console.log('initiating sdk...');
    process.env.PAYPER_MESH_AUTH_TOKEN = authToken;
    process.env.PAYPER_MESH_USER_NAME = userName;
    const localPath = path.join(__dirname);
    const meshConfig = await config_1.findAndParseConfig({
        dir: localPath,
    });
    const { sdkRequester, execute } = await runtime_1.getMesh(meshConfig);
    const sdk = await sdk_1.getSdk(sdkRequester);
    console.log('Payper-Mesh ready');
    return { sdk, execute };
};
exports.init = init;
__exportStar(require("./src/generated/sdk"), exports);
//# sourceMappingURL=index.js.map